Subject: Re: linux-next: build failure after merge of the gpio tree

From: Grant Likely <[email-masked]>
Date: Mon, 04 Mar 2013 10:32:31 +0800

On Mon, 4 Mar 2013 12:45:13 +1100, Stephen Rothwell <[email-masked]> wrote:
> Hi Grant,
> 
> After merging the gpio tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/gpio/gpio-stmpe.c: In function 'stmpe_gpio_irq_init':
> drivers/gpio/gpio-stmpe.c:313:23: error: 'struct gpio_chip' has no member named 'of_node'
> drivers/gpio/gpio-stmpe.c:316:61: error: 'struct gpio_chip' has no member named 'of_node'
> drivers/gpio/gpio-stmpe.c: In function 'stmpe_gpio_probe':
> drivers/gpio/gpio-stmpe.c:351:18: error: 'struct gpio_chip' has no member named 'of_node'
> 
> Caused by commit f7719903b7c7 ("").
> 
> I have used the gpio tree from next-20130301 for today.

Yup, I messed that one up. I've now pushed out a fixed branch.

g.

> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]

-- 
Grant Likely, B.Sc, P.Eng.
Secret Lab Technologies, Ltd.